# Changelog
All notable changes to this project will be documented in this file.

## 2017-07-05 (gracedb-1.0.10) <tanner.prestegard@ligo.org>
### Added
- global setting for turning off LVAlerts (SEND_XMPP_ALERTS)
- instructions to the web page for creating notifications

### Fixed
- logging and display of performance information
- failover to lvalert_send when lvalert_overseer is not working

## 2017-05-30 (gracedb-1.0.9) <tanner.prestegard@ligo.org>
### Added
- list of labels for an event is now included in all LVAlert messages
- available labels now exposed via the REST API
- ability to create events with labels attached
- 'offline' parameter

### Fixed
- cleanup of label and event creation code, use of proper HTTP response codes
- LVAlert messages now sent when a label is removed and when a log entry is added via the web interface

## 2017-05-08 (gracedb-1.0.8) <tanner.prestegard@ligo.org>
### Added
- case-insensitive search queries

### Changed
- removed gracedb/pyparsing.py in favor of the pip-installed version
- overall reorganization and cleanup of Django settings

## 2017-04-25 (gracedb-1.0.7) <tanner.prestegard@ligo.org>
### Added
- V1OPS label and access to signoff pages from Virgo control room
- EM_SENT label
- new save method for EventLog, EMBBEventLog, EMObservation, EMFootprint to generate log number and save in a single SQL query

### Fixed
- typo in an MOU group's name (CTA)

## 2017-03-21 (gracedb-1.0.6) <tanner.prestegard@ligo.org>
### Changed
- modify handling of Fermi GCNs so as to not overwrite trigger durations
- change settings so gracedb servers use 'test' settings by default

## 2017-03-07 (gracedb-1.0.5) <tanner.prestegard@ligo.org>
### Added
- extraction of single IFO times from CWB event files, saving them in the database, and exposing them to MOU partners

### Changed
- increased size of 'debug' Django logs

## 2017-02-28 (gracedb-1.0.4) <tanner.prestegard@ligo.org>
### Changed
- added new LIB robot certificate

### Fixed
- issue where non-LVC members could remove the lv-em tag on log messages

## 2017-01-24 (gracedb-1.0.3) <tanner.prestegard@ligo.org>
### Added
- several MOU groups
- human-readable FAR to event pages
- leap second from 31 Dec 2016
- test button for contacts

### Changed
- separated phone alerts into voice and text options

## 2017-01-10 (gracedb-1.0.2) <tanner.prestegard@ligo.org>

### Changed
- increased Django logging verbosity and clarity
- modernized Django template structure to Django 1.8 standard
- reorganized settings

## 2016-12-20 (gracedb-1.0.1) <tanner.prestegard@ligo.org>
### Added
- capability for removing labels via gracedb-client

### Changed
- expose singleInspiral times and IFOs for EM partners

## 2016-11-22 <tanner.prestegard@ligo.org>
### Added
- capability for sending phone/SMS alerts via Twilio

### Changed
- updated admin documentation

## 2016-11-11 <tanner.prestegard@ligo.org>
### Added
- AllSkyLong search and updated LVAlert nodes

### Changed
- event file structure for LIB events

## 2016-10-20 <tanner.prestegard@ligo.org>
### Added
- README.md file

### Changed
- Repository moved from versions.ligo.org to git.ligo.org

## 2016-01-07
### Added
- 'less than' sign in event display when FAR is an upper limit (#3105)
- deprecation warning header for old client url endpoints (#2420)
- event subclass for oLIB events (#3093)

### Changed
- now including WhereWhen section in retraction VOEvents (#3092)

### Fixed
- only add SkymapViewer button for json files corresponding to skymaps (#3004)


## 2015-11-17
### Added
- support for tagnames with spaces in REST URL patterns (#2730)
- documentation about requesting changes to EM Observation entries (#2591)
- support for more complex label queries for searches and email 
  notifications (#2672, #2569)
- support for file uploads through the web interface (#2543, #1367)

### Changed
- create LigoLdapUser object (instead of django User) for unknown
  Shib users with a valid session (#2629)
- time conversion functions handle None and empty string input (#2664)

### Fixed
- internal_user_required decorator no longer assumes HTTP request as 
  first arg (#2524)
- removed spurious factor of 1000 from fluence calculation (#2625)

## 2015-10-06
### Added
- banner warning if the user is looking at an lvem_view page (#2600)
- this changelog file (#2599)
- added event page link to labelling email alerts (#2575)
- add value from coinc_event.likelihood column to "Coinc Tables" for gstlal
  events (#2513)

### Changed
- interpretation of values for cWB events (see #2484)
- list of labels for query now generated by DB query instead of static list
  (#2523)
- allow more than one EMObservation subrow to be expanded at one time (#2605)
- Changed name of "Duration" field in EMObservation form to "On source
  exposure" (#2603)
- Removed customized wait method from throttles so that we can send an 
    x-throttle-wait-seconds header to the user (#2457)
- Allow the internal parameter of VOEvents to be controlled by the requestor.
    This is now taken from post data and defaults to 1 (internal only #2608).

### Fixed
- remove user from groups that are not present in IdP shibboleth assertion
  (#2600)
- description of the 'internal' parameter in buildVOEvent.py (#2600)
