# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2019-03-05 20:50
from __future__ import unicode_literals

import alerts.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('events', '0032_create_imbh_search'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(max_length=30)),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('phone', alerts.fields.PhoneNumberField(blank=True, max_length=255, null=True)),
                ('phone_method', models.CharField(blank=True, choices=[(b'C', b'Call'), (b'T', b'Text'), (b'B', b'Call and text')], default=None, max_length=1, null=True)),
                ('verified', models.BooleanField(default=False, editable=False)),
                ('verification_code', models.IntegerField(editable=False, null=True)),
                ('verification_expiration', models.DateTimeField(editable=False, null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(max_length=40)),
                ('far_threshold', models.FloatField(blank=True, null=True)),
                ('label_query', models.CharField(blank=True, max_length=100, null=True)),
                ('category', models.CharField(choices=[(b'E', b'Event'), (b'S', b'Superevent')], default=b'S', max_length=1)),
                ('ns_candidate', models.BooleanField(default=False)),
                ('contacts', models.ManyToManyField(to='alerts.Contact')),
                ('groups', models.ManyToManyField(blank=True, to='events.Group')),
                ('labels', models.ManyToManyField(blank=True, to='events.Label')),
                ('pipelines', models.ManyToManyField(blank=True, to='events.Pipeline')),
                ('searches', models.ManyToManyField(blank=True, to='events.Search')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
