# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2019-05-03 17:31
from __future__ import unicode_literals

from django.db import migrations, models
import django.utils.timezone


def set_verified_time_default(apps, schema_editor):
    Contact = apps.get_model('alerts', 'Contact')

    # Data migration to set verified_time for all contacts
    # which are already verified
    for c in Contact.objects.filter(verified=True).iterator():
        c.verified_time = c.updated
        c.save(update_fields=['verified_time'])


class Migration(migrations.Migration):

    dependencies = [
        ('alerts', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='contact',
            name='created',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='contact',
            name='updated',
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AddField(
            model_name='contact',
            name='verified_time',
            field=models.DateTimeField(blank=True, editable=False, null=True),
        ),
        migrations.RunPython(
            set_verified_time_default,
            migrations.RunPython.noop
        ),
    ]
