# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-06-28 10:40:45
from __future__ import unicode_literals

from django.db import migrations

# Create initial Label instances

# List of label names, default colors, and descriptions
LABELS = [
    {
        'name': 'SKYMAP_READY',
        'defaultColor': 'green',
        'description': 'Skymap is available.',
    },
    {
        'name': 'EMBRIGHT_READY',
        'defaultColor': 'green',
        'description': 'EM Bright information is available.',
    },
    {
        'name': 'PASTRO_READY',
        'defaultColor': 'green',
        'description': 'p_astro is available.',
    },
    {
        'name': 'DQOK',
        'defaultColor': 'green',
        'description': 'Data quality information is available and does not veto the event.',
    },
    {
        'name': 'GCN_PRELIM_SENT',
        'defaultColor': 'black',
        'description': 'A preliminary GCN has been sent.',
    },
]

def add_labels(apps, schema_editor):
    Label = apps.get_model('events', 'Label')

    # Create labels
    for label_dict in LABELS:
        l, created = Label.objects.get_or_create(name=label_dict['name'])
        l.defaultColor = label_dict['defaultColor']
        l.description = label_dict['description']
        l.save()

def remove_labels(apps, schema_editor):
    Label = apps.get_model('events', 'Label')

    # Delete labels
    for label_dict in LABELS:
        try:
            l = Label.objects.get(name=label_dict['name'])
        except Label.DoesNotExist:
            print('Label {0} not found to be deleted, skipping.' \
                .format(label_dict['name']))
            break
        l.delete()

class Migration(migrations.Migration):

    dependencies = [
        ('events', '0023_emobservation_fields_blank'),
    ]

    operations = [
        migrations.RunPython(add_labels, remove_labels),
    ]
