# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-25 19:16
from __future__ import unicode_literals

from django.db import migrations

# Creates initial search instances

# Search names and descriptions
SEARCH_TYPES = [
    {'name': 'EarlyWarning', 'description': 'GstLAL Early Warning Search'},
]

def add_searches(apps, schema_editor):
    Search = apps.get_model('events', 'Search')

    # Create searches
    for search_dict in SEARCH_TYPES:
        search, created = Search.objects.get_or_create(name=search_dict['name'])
        if 'description' in search_dict:
            search.description = search_dict['description']
            search.save()

def remove_searches(apps, schema_editor):
    Search = apps.get_model('events', 'Search')

    # Delete searches
    Search.objects.filter(name__in=[s['name'] for s in SEARCH_TYPES]).delete()

class Migration(migrations.Migration):

    dependencies = [
        ('events', '0044_add_skymap_labels'),
    ]

    operations = [
        migrations.RunPython(add_searches, remove_searches),
    ]
