# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-25 19:16
from __future__ import unicode_literals

from django.db import migrations

# Creates initial search pipeline instances

# List of search pipeline names
NEW_PIPELINES = [
    'MBTA',
]

def add_pipelines(apps, schema_editor):
    Pipeline = apps.get_model('events', 'Pipeline')

    # Create pipelines
    for pipeline_name in NEW_PIPELINES:
        pipeline, created = Pipeline.objects.get_or_create(name=pipeline_name)

def remove_pipelines(apps, schema_editor):
    Pipeline = apps.get_model('events', 'Pipeline')

    # Delete pipelines
    Pipeline.objects.filter(name__in=NEW_PIPELINES).delete()

class Migration(migrations.Migration):

    dependencies = [
        ('events', '0050_add_ew_voevent_type'),
    ]

    operations = [
        migrations.RunPython(add_pipelines, remove_pipelines),
    ]
