# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-07-10 19:34
from __future__ import unicode_literals

from django.db import migrations

from events.models import Pipeline as pipeline_model

PIPELINES = [
    ('MBTAOnline', pipeline_model.PIPELINE_TYPE_SEARCH_OTHER),
    ('MBTA', pipeline_model.PIPELINE_TYPE_SEARCH_PRODUCTION),
]

DEFAULT_PIPELINE_TYPE = pipeline_model.PIPELINE_TYPE_OTHER

def update_pipeline_types(apps, schema_editor):
    Pipeline = apps.get_model('events', 'Pipeline')

    for p_tuple in PIPELINES:
        p = Pipeline.objects.get(name=p_tuple[0])
        p.pipeline_type = p_tuple[1]
        p.save(update_fields=['pipeline_type'])


def revert_pipeline_types(apps, schema_editor):
    Pipeline = apps.get_model('events', 'Pipeline')

    for p_tuple in PIPELINES:
        p = Pipeline.objects.get(name=p_tuple[0])
        p.pipeline_type = DEFAULT_PIPELINE_TYPE
        p.save(update_fields=['pipeline_type'])


class Migration(migrations.Migration):

    dependencies = [
        ('events', '0067_event_events_even_created_d68dd3_idx'),
    ]

    operations = [
        migrations.RunPython(update_pipeline_types, revert_pipeline_types),
    ]
