# Generated by Django 3.2.20 on 2023-10-05 20:32

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('superevents', '0018_superevent_autoincrement_indexes'),
        ('auth', '0030_create_gwtc_groups'),
        ('events', '0082_add_PyGRB_pipeline'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='gwtc_catalog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.SlugField()),
                ('version', models.PositiveIntegerField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('submitter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-id'],
                'default_permissions': ('add', 'view', 'delete'),
            },
        ),
        migrations.CreateModel(
            name='gwtc_superevent',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gwtc_catalog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gwtc.gwtc_catalog')),
                ('superevent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='superevents.superevent')),
            ],
            options={
                'ordering': ['-id'],
                'default_permissions': ('add', 'view', 'delete'),
                'unique_together': {('superevent', 'gwtc_catalog')},
            },
        ),
        migrations.CreateModel(
            name='gwtc_gevent',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gevent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.event')),
                ('gwtc_catalog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gwtc.gwtc_catalog')),
                ('gwtc_superevent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gwtc.gwtc_superevent')),
                ('pipeline', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.pipeline')),
            ],
            options={
                'ordering': ['-id'],
                'default_permissions': ('add', 'view', 'delete'),
                'unique_together': {('gwtc_superevent', 'gevent', 'pipeline')},
            },
        ),
        migrations.CreateModel(
            name='gwtc_catalog_userobjectpermission',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gwtc.gwtc_catalog')),
                ('permission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.permission')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
                'unique_together': {('user', 'permission', 'content_object')},
            },
        ),
        migrations.CreateModel(
            name='gwtc_catalog_groupobjectpermission',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gwtc.gwtc_catalog')),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.group')),
                ('permission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.permission')),
            ],
            options={
                'permissions': (('view_gwtc_cataloggroupobjectpermission', 'Can view gwtc_cataloggroupobjectpermission'),),
                'abstract': False,
                'default_permissions': ('add', 'view', 'delete'),
                'unique_together': {('group', 'permission', 'content_object')},
            },
        ),
        migrations.AddIndex(
            model_name='gwtc_catalog',
            index=models.Index(fields=['number'], name='gwtc_gwtc_c_number_562de5_idx'),
        ),
        migrations.AddIndex(
            model_name='gwtc_catalog',
            index=models.Index(fields=['version'], name='gwtc_gwtc_c_version_2797bf_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='gwtc_catalog',
            unique_together={('number', 'version')},
        ),
    ]
