# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-05-28 18:18
from __future__ import unicode_literals

from django.db import migrations

GROUP_DATA = [
    {
        'name': 'EM Advovates',
        'ldap_gname': 'Communities:LVC:GraceDB:GraceDBAdvocates',
    },
]


def create_ldapauthgroups(apps, schema_editor):
    AuthGroup = apps.get_model('ligoauth', 'AuthGroup')
    AuthorizedLdapMember = apps.get_model('ligoauth', 'AuthorizedLdapMember')

    internal_group = AuthGroup.objects.get(name='em_advocates')

    # Create AuthrizedLdapMember instances
    for group in GROUP_DATA:

        lag = AuthorizedLdapMember.objects.create(
            name=group['name'],
            ldap_gname=group['ldap_gname'],
            ldap_authgroup=internal_group)
        lag.save()


def delete_ldapauthgroups(apps, schema_editor):
    AuthorizedLdapMember = apps.get_model('ligoauth', 'AuthorizedLdapMember')

    # Loop over groups and delete AuthGroup
    for group in GROUP_DATA:
        # Get AuthGroup
        group_name = group['name']
        ag = AuthorizedLdapMember.objects.get(name=group_name)

        # Delete AuthGroup and keep DjangoGroup base class
        ag.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0062_populate_auth_ldap_communities'),
    ]

    operations = [
        migrations.RunPython(create_ldapauthgroups, delete_ldapauthgroups),
    ]
