# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-06-03 20:10
from __future__ import unicode_literals

from django.db import migrations

# detchar is on a tear getting new certs, so I'm doing three
# at once.

gracedb_account = 'spiir'
new_certs = ['/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=ldas-pcdev2.ligo-la.caltech.edu/CN=spiir-cert-llo/CN=Manoj Kovalam/CN=UID:manoj.kovalam.robot',
             '/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=ldas-pcdev2.ligo-wa.caltech.edu/CN=spiir-cert-lho/CN=Manoj Kovalam/CN=UID:manoj.kovalam.robot',
            ]


def add_cert(apps, schema_editor):
    RobotUser = apps.get_model('auth', 'User')

    # Get user
    user = RobotUser.objects.get(username=gracedb_account)

    # Create new certificates
    for cert in new_certs:
        user.x509cert_set.create(subject=cert)


def delete_cert(apps, schema_editor):
    RobotUser = apps.get_model('auth', 'User')

    # Get user
    user = RobotUser.objects.get(username=gracedb_account)

    # Delete new certificates
    for cert in new_certs:
      cert = user.x509cert_set.get(subject=cert)
      cert.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0065_populate_lvemo_auth_ldap_communities'),
    ]

    operations = [
        migrations.RunPython(add_cert, delete_cert),
    ]
