# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-06-03 20:10
from __future__ import unicode_literals

from django.db import migrations


ACCOUNT = {
    'name': 'pycbclive',
    'new_cert': '/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=pycbclive.ijclab.in2p3.fr/CN=pycbclive-ijclab/CN=Tito Canton/CN=UID:tito.canton.robot',
    'new_email': 'tito.canton@ligo.org'
}


def add_cert(apps, schema_editor):
    RobotUser = apps.get_model('auth', 'User')

    # Get user
    user = RobotUser.objects.get(username=ACCOUNT['name'])

    # Change email address:
    user.email = ACCOUNT['new_email']
    user.save()

    # Create new certificate
    user.x509cert_set.create(subject=ACCOUNT['new_cert'])


def delete_cert(apps, schema_editor):
    RobotUser = apps.get_model('auth', 'User')

    # Get user
    user = RobotUser.objects.get(username=ACCOUNT['name'])

    # Delete new certificate
    cert = user.x509cert_set.get(subject=ACCOUNT['new_cert'])
    cert.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0076_mly_robot'),
    ]

    operations = [
        migrations.RunPython(add_cert, delete_cert),
    ]
