# Generated by Django 2.2.10 on 2020-07-01 19:40

from django.db import migrations, models
from django.conf import settings

ROBOTS = [
        {
            'username' : 'dqr-task',
            'dns' : [
                "/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=dqr.ligo.caltech.edu/CN=dqr/CN=Joseph Areeda/CN=UID:joseph.areeda.robot",
                "/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=dqr.ligo.caltech.edu/CN=dqr/CN=Joseph Areeda/CN=UID:joseph.areeda.robot",
                "/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=detchar.ligo-la.caltech.edu/CN=dqrla/CN=Joseph Areeda/CN=UID:joseph.areeda.robot",
                "/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=detchar.ligo-wa.caltech.edu/CN=dqrwa/CN=Joseph Areeda/CN=UID:joseph.areeda.robot",
            ]
        },
        {
            'username': 'duncan.macleod.robot',
            'dns' : [
                "/DC=org/DC=cilogon/C=US/O=LIGO/OU=Robots/CN=git.ligo.org/CN=igwnconda/CN=Duncan Macleod/CN=UID:duncan.macleod.robot",
                ]
            },
]

def create_robots(apps, schema_editor):
    User = apps.get_model('auth', 'User')
    X509Cert = apps.get_model('ligoauth', 'X509Cert')
    AuthGroup = apps.get_model('ligoauth', 'AuthGroup')
    lvc_group = AuthGroup.objects.get(name=settings.LVC_GROUP)
    robot_group = AuthGroup.objects.get(name='robot_accounts')

    for entry in ROBOTS:
        user, created = User.objects.get_or_create(username=entry['username'])
        if created:
            user.save()

        # Create the cert objects and link them to our user.
        for dn in entry['dns']:
            cert, created = X509Cert.objects.get_or_create(subject=dn,
                user=user)
            if created:
                user.x509cert_set.add(cert)

def delete_robots(apps, schema_editor):
    User = apps.get_model('auth', 'User')
    X509Cert = apps.get_model('ligoauth', 'X509Cert')

    for entry in ROBOTS:
        for dn in entry['dns']:
            X509Cert.objects.get(subject=dn).delete()


class Migration(migrations.Migration):

    dependencies = [
        ('ligoauth', '0081_new_dqr_certs'),
    ]

    operations = [
        migrations.RunPython(create_robots, delete_robots),
    ]
