# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-11-02 19:26
from __future__ import unicode_literals

from django.db import migrations

# Gives users table-level permissions which allows the addition and deletion
# of row-level permissions (again, used for exposing/hiding events).

# List of usernames
OLD_USER = 'gracedb.processor'
NEW_USER = 'emfollow'

# List of permission codenames
PERMS = [
    'add_groupobjectpermission',
    'delete_groupobjectpermission',
]

def add_perms(apps, schema_editor):
    User = apps.get_model('auth', 'User')
    Permission = apps.get_model('auth', 'Permission')

    # Get users
    old_user = User.objects.get(username=OLD_USER)
    new_user = User.objects.get(username=NEW_USER)

    # Add/remove perms
    for perm in PERMS:
        perm = Permission.objects.get(codename=perm)
        old_user.user_permissions.remove(perm)
        new_user.user_permissions.add(perm)


def remove_perms(apps, schema_editor):
    User = apps.get_model('auth', 'User')
    Permission = apps.get_model('auth', 'Permission')

    # Get users
    old_user = User.objects.get(username=OLD_USER)
    new_user = User.objects.get(username=NEW_USER)

    # Add/remove perms
    for perm in PERMS:
        perm = Permission.objects.get(codename=perm)
        old_user.user_permissions.add(perm)
        new_user.user_permissions.remove(perm)

class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0014_add_user_permissions_on_groupobjectpermissions'),
        ('ligoauth', '0005_update_emfollow_accounts'),
    ]

    operations = [
        migrations.RunPython(add_perms, remove_perms)
    ]
