# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-10-08 21:15:20

from __future__ import unicode_literals

from django.db import migrations

USER = 'emfollow'
GROUPS = [
    'em_advocates',
    'access_managers',
]


def add_to_groups(apps, schema_editor):
    Group = apps.get_model('auth', 'Group')
    User = apps.get_model('auth', 'User')

    # Get user
    user = User.objects.get(username=USER)

    # Loop over groups and add user
    for g in GROUPS:
        # Get group
        group, created = Group.objects.get_or_create(name=g)

        # Add user to group
        group.user_set.add(user)


def remove_from_groups(apps, schema_editor):
    Group = apps.get_model('auth', 'Group')
    User = apps.get_model('auth', 'User')

    # Get user
    user = User.objects.get(username=USER)

    # Loop over groups and add user
    for g in GROUPS:
        # Get group
        group = Group.objects.get(name=g)

        # Remove user from group
        group.user_set.remove(user)


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0017_assign_permissions'),
    ]

    operations = [
        migrations.RunPython(add_to_groups, remove_from_groups),
    ]
