# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2019-05-08 16:27
from __future__ import unicode_literals

from django.db import migrations

GROUP_NAME = 'raven_users'
PIPELINES = [
    'Fermi',
    'Swift',
    'SNEWS',
]


def add_permissions(apps, schema_editor):
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model('auth', 'Permission')
    GroupObjectPermission = apps.get_model('guardian', 'GroupObjectPermission')
    Pipeline = apps.get_model('events', 'Pipeline')
    ContentType = apps.get_model('contenttypes', 'ContentType')

    # Get group
    group = Group.objects.get(name=GROUP_NAME)

    perm = Permission.objects.get(codename='populate_pipeline')
    ctype = ContentType.objects.get_for_model(Pipeline)
    for pipeline in PIPELINES:
        pipeline = Pipeline.objects.get(name=pipeline)

        # Create GroupObjectPermission
        gop = GroupObjectPermission.objects.create(group=group,
            permission=perm, content_type=ctype, object_pk=pipeline.id)


def remove_permissions(apps, schema_editor):
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model('auth', 'Permission')
    GroupObjectPermission = apps.get_model('guardian', 'GroupObjectPermission')
    Pipeline = apps.get_model('events', 'Pipeline')
    ContentType = apps.get_model('contenttypes', 'ContentType')

    # Get group
    group = Group.objects.get(name=GROUP_NAME)

    perm = Permission.objects.get(codename='populate_pipeline')
    ctype = ContentType.objects.get_for_model(Pipeline)
    for pipeline in PIPELINES:
        pipeline = Pipeline.objects.get(name=pipeline)

        # Get GroupObjectPermission and delete
        gop = GroupObjectPermission.objects.get(group=group,
            permission=perm, content_type=ctype, object_pk=pipeline.id)
        gop.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0021_create_raven_users_group'),
        ('guardian', '0004_add_guardian_anonymoususer_to_public_group'),
    ]

    operations = [
        migrations.RunPython(add_permissions, remove_permissions),
    ]
